﻿<?php
/*
 *  Copyright 2003-2033 dahantc.com Inc.All Rights Reserved.
 *
 */

include_once("./DahantcSmsSDK.php");

/**
  * 帐户参数配置
  * 
  * 用户登录之后在开发者控制台【首页】寻找以下配置参数：
  * $accountSid: 帐号ID，对应开发者帐号下的 ACCOUNT SID
  * $authToken: 授权令牌，对应开发者帐号下的 AUTH TOKEN
  * $apiUrl: API调用路径，对应着开发者后台中的API URL
  * $appId: 应用ID，对应开发者控制台【应用管理】中的某个APP ID
  */
$accountSid = '200f67c6b14240ffb1f1f**********';
$authToken 	= 'e44e65e917b24aca96337**********';
$apiUrl 	= 'https://sms.dahancloud.com/';
$appId 		= 'e8acc5267b0e4660914f0**********';


/**
  * 短信接口调用说明
  * 
  * 假设您想给手机号159xxxx1234发送一条短信，
  * 您打算使用的模板ID为2，对应模板内容为："您好，您的手机验证码为：{1}，{2}分钟内有效"
  * 给这个模板传入的参数为5678和3，则调用方式为：
  * sendSMS("159xxxx1234", "2", ['5678','3']);
  * 最终收到的短信内容为："【云通讯】您好，您的手机验证码为5678，3分钟内有效"
  */
//手机号码，模板ID，替换内容数组，实际调用请保证这些参数真实有效！
sendSMS("159xxxx1234", "2", ['5678','3']); 


/**
  * 发送模板短信
  * @param to 手机号码，多个手机号码需用英文逗号分开
  * @param tempId 模板ID，对应开发者后台中的模板编号
  * @param datas 替换内容，格式为数组，例如：['5678','3']，如果模板中的内容不需要替换，需填 NULL
  */
function sendSMS($to, $tempId, $datas) {
     global $accountSid, $authToken, $appId, $apiUrl;
     
     // 初始化SDK
     $sdk = new SmsSDK();
     $sdk->setAccountSid($accountSid);
     $sdk->setAuthToken($authToken);
     $sdk->setApiUrl($apiUrl);
     $sdk->setAppId($appId);
     
     // 发送模板短信
     echo "Send SMS to $to <br/>";
     $result = $sdk->sendSMS($to, $tempId, $datas);
     //echo "final result: " . var_dump($result) . "<br/>";
     
     // 处理返回结果
     if($result->statusCode == '000000') {
         echo "Send SMS Success! <br/>";
         
         // 获取返回信息
         $data = $result->templateSMS;
         echo "dateCreated: " . $data->dateCreated . "<br/>";
         echo "smsMessageSid: " . $data->smsMessageSid. "<br/>";
         
         //TODO 成功处理
		 
     } else {
     	 echo "Send SMS Fail! <br/>";
         echo "error code: " . $result->statusCode . "<br/>";
         echo "error message: " . $result->statusMsg . "<br/>";
         
         //TODO 错误处理
         
     }

}

function sendINTSMS($to, $tempId, $datas) {
     global $accountSid, $authToken, $appId, $apiUrl;
     
     // 初始化SDK
     $sdk = new SmsSDK();
     $sdk->setAccountSid($accountSid);
     $sdk->setAuthToken($authToken);
     $sdk->setApiUrl($apiUrl);
     $sdk->setAppId($appId);
     
     // 发送模板短信
     echo "Send SMS to $to <br/>";
     $result = $sdk->sendINTSMS($to, $tempId, $datas);
     //echo "final result: " . var_dump($result) . "<br/>";
     
     // 处理返回结果
     if($result->statusCode == '000000') {
         echo "Send SMS Success! <br/>";
         
         // 获取返回信息
         $data = $result->object;
         echo "dateCreated: " . $data->dateCreated . "<br/>";
         echo "smsMessageSid: " . $data->smsMessageSid. "<br/>";
         
         //TODO 成功处理
		 
     } else {
     	 echo "Send SMS Fail! <br/>";
         echo "error code: " . $result->statusCode . "<br/>";
         echo "error message: " . $result->statusMsg . "<br/>";
         
         //TODO 错误处理
         
     }

}

?>
